codebase="hhctrl.ocx#Version=4,73,8561,0"> codebase="hhctrl.ocx#Version=4,73,8561,0" > codebase="hhctrl.ocx#Version=4,73,8561,0" >
 
  3DFace object

A 3D triangle or quadrilateral plane section.

VBA class name:

Acad3DFace 

Create using:

ModelSpace.Add3DFace
PaperSpace.Add3DFace
Block.Add3DFace 

Access via:

ModelSpace.Item
PaperSpace.Item
Block.Item
SelectionSet.Item
Group.Item 

You can specify different Z coordinates for each corner point of a 3DFace object. This differs from a Solid object, which creates a three- or four-sided surface that is parallel to the current UCS and can be extruded.


Six 3DFaces joined together to make a cube

You control which edges of the face are visible through the SetInvisibleEdge method. This allows accurate modeling of objects with holes.

To create a 3DFace, use the Add3DFace method. To edit or query a 3DFace, use the following methods and properties:

Methods

ArrayPolar

ArrayRectangular

Copy

Delete

GetBoundingBox

GetExtensionDictionary

GetInvisibleEdge

GetXData

Highlight

IntersectWith

Mirror

Mirror3D

Move

Rotate

Rotate3D

RunMacro

ScaleEntity

SetInvisibleEdge

SetXData

TransformBy

Update  

Properties

Application

Coordinates

Document

Handle

HasExtensionDictionary

Hyperlinks

Layer

Linetype

LinetypeScale

Lineweight

ObjectID

ObjectName

OwnerID

PlotStyleName

TrueColor

Visible

VisibilityEdge1

VisibilityEdge2

VisibilityEdge3

VisibilityEdge4  

Events

Modified  

 

   Comments?